org.keycloak.broker.oidc.mappers

## Class AbstractClaimMapper

- java.lang.Object
- - org.keycloak.broker.provider.AbstractIdentityProviderMapper
  - - org.keycloak.broker.oidc.mappers.AbstractClaimMapper

- All Implemented Interfaces:
    IdentityProviderMapper, ConfiguredProvider, Provider, ProviderFactory<IdentityProviderMapper>
  Direct Known Subclasses:
    AdvancedClaimToRoleMapper, ClaimToRoleMapper, ExternalKeycloakRoleToRoleMapper, UserAttributeMapper, UsernameTemplateMapper

      public abstract class AbstractClaimMapper
      extends AbstractIdentityProviderMapper

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CLAIM`
    `static String` | `CLAIM_VALUE`

    - ### Fields inherited from interface org.keycloak.broker.provider.IdentityProviderMapper

      `ANY_PROVIDER, DEFAULT_IDENTITY_PROVIDER_MAPPER_SYNC_MODES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractClaimMapper()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Object` | `getClaimValue(BrokeredIdentityContext context, String claim)`
    `static Object` | `getClaimValue(IdentityProviderMapperModel mapperModel, BrokeredIdentityContext context)`
    `static Object` | `getClaimValue(JsonWebToken token, String claim)`
    `protected boolean` | `hasClaimValue(IdentityProviderMapperModel mapperModel, BrokeredIdentityContext context)`
    `boolean` | `valueEquals(String desiredValue, Object value)`

    - ### Methods inherited from class org.keycloak.broker.provider.AbstractIdentityProviderMapper

      `close, create, importNewUser, init, postInit, preprocessFederatedIdentity, updateBrokeredUser, updateBrokeredUserLegacy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.broker.provider.IdentityProviderMapper

      `getCompatibleProviders, getDisplayCategory, getDisplayType, supportsSyncMode`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `getId, order`

    - ### Methods inherited from interface org.keycloak.provider.ConfiguredProvider

      `getConfigProperties, getHelpText`

- - ### Field Detail

    - #### CLAIM

          public static final String CLAIM

      See Also:
        Constant Field Values

    - #### CLAIM_VALUE

          public static final String CLAIM_VALUE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractClaimMapper

          public AbstractClaimMapper()

  - ### Method Detail

    - #### getClaimValue

          public static Object getClaimValue(JsonWebToken token,
                                             String claim)

    - #### getClaimValue

          public static Object getClaimValue(IdentityProviderMapperModel mapperModel,
                                             BrokeredIdentityContext context)

    - #### getClaimValue

          public static Object getClaimValue(BrokeredIdentityContext context,
                                             String claim)

    - #### hasClaimValue

          protected boolean hasClaimValue(IdentityProviderMapperModel mapperModel,
                                          BrokeredIdentityContext context)

    - #### valueEquals

          public boolean valueEquals(String desiredValue,
                                     Object value)

Copyright © 2020 JBoss by Red Hat. All rights reserved.